com.jscape.inet.mft.management.descriptors

## Class DBLogServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.LogServiceDescriptor
      - - com.jscape.inet.mft.management.descriptors.DBLogServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class DBLogServiceDescriptor
      extends LogServiceDescriptor

  DB log service descriptor. The service described by this descriptor takes responsibility for logging system events in DB.
  Author:
    Alex
  See Also:
    Source code, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBLogServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `DBLogServiceDescriptor(DBLogServiceDescriptor that)` Copy constructor.
    `DBLogServiceDescriptor(java.lang.String url, java.lang.String username, java.lang.String password, int poolSize, long idleConnectionTTL, java.lang.Long recordExpirationPeriodMillis)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getIdleConnectionTTL()` Idle connection time-to-live.
    `java.lang.String` | `getPassword()` Returns DB access password.
    `int` | `getPoolSize()` Returns connection pool size.
    `java.lang.Long` | `getRecordExpirationPeriodMillis()`
    `java.lang.String` | `getUrl()` Returns DB URL.
    `java.lang.String` | `getUsername()` Returns DB access username.
    `int` | `hashCode()`
    `void` | `setIdleConnectionTTL(long value)` Sets idle connection time-to-live.
    `void` | `setPassword(java.lang.String value)` Sets DB access password.
    `void` | `setPoolSize(int value)` Sets connection pool size.
    `void` | `setRecordExpirationPeriodMillis(java.lang.Long value)`
    `void` | `setUrl(java.lang.String value)` Sets DB URL.
    `void` | `setUsername(java.lang.String value)` Sets DB access username.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DBLogServiceDescriptor

          public DBLogServiceDescriptor(java.lang.String url,
                                        java.lang.String username,
                                        java.lang.String password,
                                        int poolSize,
                                        long idleConnectionTTL,
                                        java.lang.Long recordExpirationPeriodMillis)

      Creates a new descriptor instance.
      Parameters:
        `url` - DB URL
        `username` - DB access username
        `password` - DB access password
        `poolSize` - DB connection pool size
        `idleConnectionTTL` - idle connection TTL

    - #### DBLogServiceDescriptor

          public DBLogServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

    - #### DBLogServiceDescriptor

          public DBLogServiceDescriptor(DBLogServiceDescriptor that)

      Copy constructor.
      Parameters:
        `that` - an instance to copy

  - ### Method Detail

    - #### getUrl

          public java.lang.String getUrl()

      Returns DB URL.
      Returns:
        DB URL

    - #### setUrl

          public void setUrl(java.lang.String value)

      Sets DB URL.
      Parameters:
        `value` - DB URL

    - #### getUsername

          public java.lang.String getUsername()

      Returns DB access username.
      Returns:
        DB access username

    - #### setUsername

          public void setUsername(java.lang.String value)

      Sets DB access username.
      Parameters:
        `value` - DB access username

    - #### getPassword

          public java.lang.String getPassword()

      Returns DB access password.
      Returns:
        DB access password

    - #### setPassword

          public void setPassword(java.lang.String value)

      Sets DB access password.
      Parameters:
        `value` - DB access password

    - #### getPoolSize

          public int getPoolSize()

      Returns connection pool size.
      Returns:
        connection pool size;

    - #### setPoolSize

          public void setPoolSize(int value)

      Sets connection pool size.
      Parameters:
        `value` - connection pool size; if `0` no pool will be created

    - #### getIdleConnectionTTL

          public long getIdleConnectionTTL()

      Idle connection time-to-live.
      Returns:
        idle connection TTL in milliseconds

    - #### setIdleConnectionTTL

          public void setIdleConnectionTTL(long value)

      Sets idle connection time-to-live.
      Parameters:
        `value` - idle connection TTL in milliseconds

    - #### getRecordExpirationPeriodMillis

          public java.lang.Long getRecordExpirationPeriodMillis()

    - #### setRecordExpirationPeriodMillis

          public void setRecordExpirationPeriodMillis(java.lang.Long value)

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.